FreeBSD handboek
Terug | Hoofdstuk 4. UNIX® beginselen | Volgende

# 4.6. Het koppelen en ontkoppelen van bestandssystemen

Het bestandssysteem wordt het best weergegeven als een boom, met de stam als `/`. `/dev`, `/usr` en de andere map in root zijn takken die weer hun eigen takken kunnen hebben, zoals `/usr/local`, etc.

Er zijn verschillende redenen om sommige van deze mappen op aparte bestandssystemen te plaatsen. `/var` bevat de mappen `log/`, `spool/` en verschillende types tijdelijke bestanden en kan volraken. Het laten vollopen van het root bestandssysteem is geen goed idee, dus het splitsen van `/var` van `/`is vaak de favoriet.

Een andere vaak voorkomende reden om bepaalde mapbomen op aparte bestandssystemen te plaatsen, is om ze op verschillende fysieke schrijven te zetten of gescheiden virtuele schijven zoals gemounte Netwerk bestandssystemen of cd-rom drives.

## 4.6.1. Het bestand `fstab`

Tijdens het opstartproces, worden bestandssystemen die vermeld staan in `/etc/fstab` automatisch gekoppeld (tenzij ze vermeld staan met `noauto`).

`/etc/fstab` bevat een lijst van regels die aan het volgende formaat voldoen:

    apparaat        /koppelpunt fstype     opties      dumpfreq     passno

`apparaat`

  Een apparaatnaam (die moet bestaan) zoals uitgelegd in Paragraaf 19.2.

`koppelpunt`

  Een map (die moet bestaan) waarop het bestandssysteem gekoppeld moet worden.

`fstype`

  Het bestandssysteem type dat aan mount(8) gegeven wordt. Het standaard FreeBSD bestandssysteem is `ufs`.

`opties`

  Dit is of `rw` voor lezen en schrijven bestandssytemen, of `ro` voor alleen lezen, gevolgd door elke andere optie die mogelijk nodig is. Een standaard optie is `noauto` voor bestandssystemen die niet automatisch gekoppeld worden tijdens het opstarten. Andere opties staan in mount(8).

`dumpfreq`

  Dit wordt gebruikt door dump(8) om te bepalen welke bestandssystemen gedumpt moeten worden. Als het veld niet is ingevuld, wordt aangenomen dat er een nul staat.

`passno`

  Dit bepaalt in welke volgorde bestandssystemen gecontroleerd moeten worden. Bestandssystemen die overgeslagen moeten worden moeten hun `passno` waarde op nul hebben staan. Voor het root bestandssysteem (dat voor alle andere gecontroleerd moet worden) moet `passno` op één staan en `passno` waarden voor andere bestandssystemen moeten een waarde hebben groter dan één. Als bestandssysteem dezelfde `passno` waarde hebben probeert fsck(8) deze bestandssystemen tegelijkertijd te controleren.

In fstab(5) staat meer informatie over de opmaak van `/etc/fstab` en de mogelijke opties.

## 4.6.2. Het commando `mount`

mount(8) wordt gebruikt om bestandsystemen te koppelen.

De meest eenvoudige vorm is:

    # mount apparaat koppelpunt

Alle opties voor het commando staat in mount(8), maar de meest voorkomende zijn:

Mountopties

`-a`

  Mount alle bestandssystemen die in `/etc/fstab` staan, behalve die gemarkeerd staan als noauto, uitgesloten zijn door de optie `-t` of die al gekoppeld zijn.

`-d`

  Doe alles behalve het echt aanroepen van de systeemopdracht `mount`. Deze optie is handig in samen met de optie `-v` om te bepalen wat mount(8) eigenlijk probeert te doen.

`-f`

  Forceert het koppelen van een niet schoon bestandssysteem (gevaarlijk) of forceert het innemen van schrijftoegang als de koppelstatus van een bestandssysteem wijzigt van lezen en schrijven naar alleen lezen.

`-r`

  Mount het bestandssysteem alleen lezen. Dit is identiek aan de optie `ro` voor de optie `-o`.

`-t` `fstype`

  Mount het opgegeven bestandssysteem als het opgegeven type bestandssysteem of koppelt alleen bestandssystemen van het aangegeven type als ook de optie `-a` is opgegeven.

  ufs is het standaard bestandssysteem.

`-u`

  Werk koppel opties van het bestandssysteem bij.

`-v`

  Geef uitgebreide informatie (verbose).

`-w`

  Mount het bestandssysteem lezen en schrijven.

De optie `-o` accepteert een door komma's gescheiden lijst van opties, waaronder de volgende:

noexec

  Sta geen uitvoerbare bestanden toe op dit bestandssysteem. Ook dit is een nuttige veiligheidsoptie.

nosuid

  Interpreteer geen setuid of setgid opties op het bestandssysteem. Ook dit is een nuttige veiligheidsoptie.

## 4.6.3. Het commando `umount`

umount(8) heeft een koppelpunt, een apparaatnaam, `-a` of `-A` als parameter.

Alle vormen kunnen de optie `-f` hebben om een bestandsysteem te forceren te ontkoppelen en de optie `-v` voor uitgebreide informatie. De optie `-f` is meestal geen goed idee. Forceren dat een bestandssysteem ontkoppeld wordt kan de computer laten crashen of data op het bestandssysteem beschadigen.

De opties `-a` en `-A` worden gebruikt om alle bestandssystemen te unmounten, mogelijk nader gespecificeerd door de optie `-t` met daarachter op welke typen bestandssystemen het betrekking heeft. Voor de optie `-A` geldt dat deze niet probeert het root bestandssysteem te ontkoppelen.

Terug | Begin | Volgende
Organisatie van schijven | Omhoog | Processen